.\"	$NetBSD: mesh.4,v 1.2 2003/09/26 21:21:23 wiz Exp $
.\"
.\" Copyright (c) 2003 Alex Zepeda <zipzippy@sonic.net>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Alex Zepeda.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 21, 2003
.Dt MESH 4 macppc
.Os
.Sh NAME
.Nm mesh
.Nd Apple Macintosh Enhanced SCSI Hardware driver
.Sh SYNOPSIS
.Cd "mesh* at obio? flags 0xffff"
.Cd "scsibus* at mesh?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the SCSI host adapters found on
most supported models with on-board SCSI.  The Apple Network Server models
use the
.Xr esp 4
and
.Xr esiop 4
devices for SCSI, not
.Nm .
.Pp
Models supported by
.Nm
are:
.Bl -dash -compact -offset indent
.It
Apple PowerBook (2400, 3400, G3, and G3 Series)
.It
Apple PowerBook (G3 Series (bronze keyboard))
.It
Apple Power Macintosh/Performa (4400, 54xx, 5500, 6300/160, 6360, 6400, and
6500)
.It
Apple Power Macintosh (7300, 7500, 7600, 8500, 8600, 9500, and 9600)
.It
Apple Workgroup Server 8550
.It
Apple Power Macintosh G3 (Beige G3)
.It
APS Tech (M*Power 604e/200)
.It
Motorola StarMax (3000, 4000, 5000, and 5500)
.It
Power Computing (PowerBase, PowerCenter, PowerCenter Pro, PowerCurve,
PowerTower, PowerTower Pro, and PowerWave)
.It
UMAX (Apus 2000, Apus 3000, C500, and C600)
.It
UMAX (J700, S900)
.El
.Pp
Some models have a separate SCSI bus dedicated to external devices using
the
.Xr esp 4
device.
On these systems, the
.Nm
SCSI bus is operated in SCSI
.Sq Fast
mode
.Pq "10 MB/s"
and the external
.Xr esp 4
bus is operated at 5 MB/s.  This applies only to the following models:
.Bl -dash -compact -offset indent
.It
Apple Power Macintosh (7300, 7500, 7600, 8500, 8600, 9500, and 9600)
.It
Power Computing (PowerCenter, PowerCenter Pro, PowerCurve,
PowerTower, PowerTower Pro, and PowerWave)
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr esiop 4 ,
.Xr esp 4 ,
.Xr intro 4 ,
.Xr obio 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr ss 4 ,
.Xr st 4 ,
.Xr uk 4
